// -*- C++ -*-
// $Id$

/**
 * Code generated by the The ACE ORB (TAO) IDL Compiler v2.2a_p14
 * TAO and the TAO IDL Compiler have been developed by:
 *       Center for Distributed Object Computing
 *       Washington University
 *       St. Louis, MO
 *       USA
 *       http://www.cs.wustl.edu/~schmidt/doc-center.html
 * and
 *       Distributed Object Computing Laboratory
 *       University of California at Irvine
 *       Irvine, CA
 *       USA
 * and
 *       Institute for Software Integrated Systems
 *       Vanderbilt University
 *       Nashville, TN
 *       USA
 *       http://www.isis.vanderbilt.edu/
 *
 * Information about TAO is available at:
 *     http://www.cs.wustl.edu/~schmidt/TAO.html
 **/

// TAO_IDL - Generated from
// be/be_codegen.cpp:152

#ifndef _TAO_IDL_FEDERATORC_XTOXYW_H_
#define _TAO_IDL_FEDERATORC_XTOXYW_H_

#include /**/ "ace/pre.h"


#include /**/ "ace/config-all.h"

#if !defined (ACE_LACKS_PRAGMA_ONCE)
# pragma once
#endif /* ACE_LACKS_PRAGMA_ONCE */


#include /**/ "federator_export.h"
#include "tao/ORB.h"
#include "tao/SystemException.h"
#include "tao/UserException.h"
#include "tao/Basic_Types.h"
#include "tao/ORB_Constants.h"
#include "dds/DCPS/ZeroCopyInfoSeq_T.h"
#include "tao/Object.h"
#include "tao/String_Manager_T.h"
#include "tao/Objref_VarOut_T.h"
#include "tao/VarOut_T.h"
#include "tao/Arg_Traits_T.h"
#include "tao/Basic_Arguments.h"
#include "tao/Special_Basic_Arguments.h"
#include "tao/Any_Insert_Policy_T.h"
#include "tao/Basic_Argument_T.h"
#include "tao/Fixed_Size_Argument_T.h"
#include "tao/Var_Size_Argument_T.h"
#include "tao/Object_Argument_T.h"
#include "tao/Special_Basic_Arguments.h"
#include "tao/UB_String_Arguments.h"
#include /**/ "tao/Version.h"
#include /**/ "tao/Versioned_Namespace.h"
#include /**/ "dds/Versioned_Namespace.h"

#include "dds/DCPS/InfoRepoDiscovery/InfoC.h"
#include "dds/DdsDcpsGuidC.h"
#include "tao/OctetSeqC.h"

#if TAO_MAJOR_VERSION != 2 || TAO_MINOR_VERSION != 2 || TAO_BETA_VERSION != 0
#error This file should be regenerated with TAO_IDL
#endif

#if defined (TAO_EXPORT_MACRO)
#undef TAO_EXPORT_MACRO
#endif
#define TAO_EXPORT_MACRO OpenDDS_Federator_Export

OPENDDS_BEGIN_VERSIONED_NAMESPACE_DECL



// TAO_IDL - Generated from
// be/be_visitor_root/root_ch.cpp:160

OPENDDS_END_VERSIONED_NAMESPACE_DECL


TAO_BEGIN_VERSIONED_NAMESPACE_DECL



namespace TAO
{
  template<typename T> class Narrow_Utils;
}
TAO_END_VERSIONED_NAMESPACE_DECL


OPENDDS_BEGIN_VERSIONED_NAMESPACE_DECL




// TAO_IDL - Generated from
// be/be_visitor_module/module_ch.cpp:38

namespace OpenDDS
{

  // TAO_IDL - Generated from
  // be/be_visitor_module/module_ch.cpp:38

  namespace Federator
  {

    // TAO_IDL - Generated from
    // be/be_visitor_typedef/typedef_ch.cpp:373

    typedef ::CORBA::Long RepoKey;
    typedef ::CORBA::Long_out RepoKey_out;

    // TAO_IDL - Generated from
    // be/be_visitor_typedef/typedef_ch.cpp:373

    typedef DDS::DomainId_t FederationDomain;
    typedef DDS::DomainId_t_out FederationDomain_out;

    // TAO_IDL - Generated from
    // be/be_visitor_typedef/typedef_ch.cpp:513

    typedef OpenDDS::DCPS::GUID_t FederationId;
    typedef OpenDDS::DCPS::GUID_t_var FederationId_var;
    typedef OpenDDS::DCPS::GUID_t_out FederationId_out;

    // TAO_IDL - Generated from
    // be/be_visitor_enum/enum_ch.cpp:47

    enum UpdateType
    {
      CreateEntity,
      DestroyEntity,
      UpdateQosValue1,
      UpdateQosValue2,
      UpdateFilterExpressionParams
    };

    typedef UpdateType &UpdateType_out;

    // TAO_IDL - Generated from
    // be/be_visitor_constant/constant_ch.cpp:38

    const CORBA::Long NIL_REPOSITORY = 0;

    // TAO_IDL - Generated from
    // be/be_visitor_constant/constant_ch.cpp:38

    const CORBA::Long DEFAULT_FEDERATIONDOMAIN = -2107281297;

    // TAO_IDL - Generated from
    // be/be_visitor_constant/constant_ch.cpp:38

    const CORBA::Long ANY_FEDERATIONDOMAIN = -1;

    // TAO_IDL - Generated from
    // be/be_type.cpp:261

    struct OwnerUpdate;

    typedef
      ::TAO_Fixed_Var_T<
          OwnerUpdate
        >
      OwnerUpdate_var;

    typedef
      OwnerUpdate &
      OwnerUpdate_out;

    // TAO_IDL - Generated from
    // be/be_visitor_structure/structure_ch.cpp:51

    struct OpenDDS_Federator_Export OwnerUpdate
    {

      // TAO_IDL - Generated from
      // be/be_type.cpp:307

      
      typedef OwnerUpdate_var _var_type;
      typedef OwnerUpdate_out _out_type;
      
      OpenDDS::Federator::RepoKey sender;
      OpenDDS::Federator::RepoKey owner;
      OpenDDS::Federator::FederationId participant;
      DDS::DomainId_t domain;
      OpenDDS::Federator::UpdateType action;
    };

    // TAO_IDL - Generated from
    // be/be_visitor_constant/constant_ch.cpp:38

    const char *const OWNERUPDATETOPICNAME = "OwnerUpdate";

    // TAO_IDL - Generated from
    // be/be_visitor_constant/constant_ch.cpp:38

    const char *const OWNERUPDATETYPENAME = "OwnerUpdate";

    // TAO_IDL - Generated from
    // be/be_type.cpp:261

    struct TopicUpdate;

    typedef
      ::TAO_Var_Var_T<
          TopicUpdate
        >
      TopicUpdate_var;

    typedef
      ::TAO_Out_T<
          TopicUpdate
        >
      TopicUpdate_out;

    // TAO_IDL - Generated from
    // be/be_visitor_structure/structure_ch.cpp:51

    struct OpenDDS_Federator_Export TopicUpdate
    {

      // TAO_IDL - Generated from
      // be/be_type.cpp:307

      
      typedef TopicUpdate_var _var_type;
      typedef TopicUpdate_out _out_type;
      
      OpenDDS::Federator::FederationId id;
      OpenDDS::Federator::RepoKey sender;
      OpenDDS::Federator::FederationId participant;
      DDS::DomainId_t domain;
      OpenDDS::Federator::UpdateType action;
      ::TAO::String_Manager topic;
      ::TAO::String_Manager datatype;
      DDS::TopicQos qos;
    };

    // TAO_IDL - Generated from
    // be/be_visitor_constant/constant_ch.cpp:38

    const char *const TOPICUPDATETOPICNAME = "TopicUpdate";

    // TAO_IDL - Generated from
    // be/be_visitor_constant/constant_ch.cpp:38

    const char *const TOPICUPDATETYPENAME = "TopicUpdate";

    // TAO_IDL - Generated from
    // be/be_type.cpp:261

    struct ParticipantUpdate;

    typedef
      ::TAO_Var_Var_T<
          ParticipantUpdate
        >
      ParticipantUpdate_var;

    typedef
      ::TAO_Out_T<
          ParticipantUpdate
        >
      ParticipantUpdate_out;

    // TAO_IDL - Generated from
    // be/be_visitor_structure/structure_ch.cpp:51

    struct OpenDDS_Federator_Export ParticipantUpdate
    {

      // TAO_IDL - Generated from
      // be/be_type.cpp:307

      
      typedef ParticipantUpdate_var _var_type;
      typedef ParticipantUpdate_out _out_type;
      
      OpenDDS::Federator::FederationId id;
      OpenDDS::Federator::RepoKey sender;
      OpenDDS::Federator::RepoKey owner;
      DDS::DomainId_t domain;
      OpenDDS::Federator::UpdateType action;
      DDS::DomainParticipantQos qos;
    };

    // TAO_IDL - Generated from
    // be/be_visitor_constant/constant_ch.cpp:38

    const char *const PARTICIPANTUPDATETOPICNAME = "ParticipantUpdate";

    // TAO_IDL - Generated from
    // be/be_visitor_constant/constant_ch.cpp:38

    const char *const PARTICIPANTUPDATETYPENAME = "ParticipantUpdate";

    // TAO_IDL - Generated from
    // be/be_type.cpp:261

    struct PublicationUpdate;

    typedef
      ::TAO_Var_Var_T<
          PublicationUpdate
        >
      PublicationUpdate_var;

    typedef
      ::TAO_Out_T<
          PublicationUpdate
        >
      PublicationUpdate_out;

    // TAO_IDL - Generated from
    // be/be_visitor_structure/structure_ch.cpp:51

    struct OpenDDS_Federator_Export PublicationUpdate
    {

      // TAO_IDL - Generated from
      // be/be_type.cpp:307

      
      typedef PublicationUpdate_var _var_type;
      typedef PublicationUpdate_out _out_type;
      
      OpenDDS::Federator::FederationId id;
      OpenDDS::Federator::RepoKey sender;
      OpenDDS::Federator::FederationId topic;
      OpenDDS::Federator::FederationId participant;
      DDS::DomainId_t domain;
      OpenDDS::Federator::UpdateType action;
      ::TAO::String_Manager callback;
      DDS::PublisherQos publisher_qos;
      DDS::DataWriterQos datawriter_qos;
      OpenDDS::DCPS::TransportLocatorSeq transport_info;
    };

    // TAO_IDL - Generated from
    // be/be_visitor_constant/constant_ch.cpp:38

    const char *const PUBLICATIONUPDATETOPICNAME = "PublicationUpdate";

    // TAO_IDL - Generated from
    // be/be_visitor_constant/constant_ch.cpp:38

    const char *const PUBLICATIONUPDATETYPENAME = "PublicationUpdate";

    // TAO_IDL - Generated from
    // be/be_type.cpp:261

    struct SubscriptionUpdate;

    typedef
      ::TAO_Var_Var_T<
          SubscriptionUpdate
        >
      SubscriptionUpdate_var;

    typedef
      ::TAO_Out_T<
          SubscriptionUpdate
        >
      SubscriptionUpdate_out;

    // TAO_IDL - Generated from
    // be/be_visitor_structure/structure_ch.cpp:51

    struct OpenDDS_Federator_Export SubscriptionUpdate
    {

      // TAO_IDL - Generated from
      // be/be_type.cpp:307

      
      typedef SubscriptionUpdate_var _var_type;
      typedef SubscriptionUpdate_out _out_type;
      
      OpenDDS::Federator::FederationId id;
      OpenDDS::Federator::RepoKey sender;
      OpenDDS::Federator::FederationId topic;
      OpenDDS::Federator::FederationId participant;
      DDS::DomainId_t domain;
      OpenDDS::Federator::UpdateType action;
      ::TAO::String_Manager callback;
      DDS::SubscriberQos subscriber_qos;
      DDS::DataReaderQos datareader_qos;
      OpenDDS::DCPS::TransportLocatorSeq transport_info;
      ::TAO::String_Manager filter_class_name;
      ::TAO::String_Manager filter_expression;
      DDS::StringSeq expression_params;
    };

    // TAO_IDL - Generated from
    // be/be_visitor_constant/constant_ch.cpp:38

    const char *const SUBSCRIPTIONUPDATETOPICNAME = "SubscriptionUpdate";

    // TAO_IDL - Generated from
    // be/be_visitor_constant/constant_ch.cpp:38

    const char *const SUBSCRIPTIONUPDATETYPENAME = "SubscriptionUpdate";

    // TAO_IDL - Generated from
    // be/be_visitor_exception/exception_ch.cpp:44

    class OpenDDS_Federator_Export Incomplete : public ::CORBA::UserException
    {
    public:

      Incomplete (void);
      Incomplete (const Incomplete &);
      ~Incomplete (void);

      Incomplete &operator= (const Incomplete &);

      static Incomplete *_downcast ( ::CORBA::Exception *);
      static const Incomplete *_downcast ( ::CORBA::Exception const *);

      static ::CORBA::Exception *_alloc (void);

      virtual ::CORBA::Exception *_tao_duplicate (void) const;

      virtual void _raise (void) const;

      virtual void _tao_encode (TAO_OutputCDR &cdr) const;
      virtual void _tao_decode (TAO_InputCDR &cdr);
    };

    // TAO_IDL - Generated from
    // be/be_interface.cpp:751

#if !defined (_OPENDDS_FEDERATOR_MANAGER__VAR_OUT_CH_)
#define _OPENDDS_FEDERATOR_MANAGER__VAR_OUT_CH_

    class Manager;
    typedef Manager *Manager_ptr;

    typedef
      TAO_Objref_Var_T<
          Manager
        >
      Manager_var;
    
    typedef
      TAO_Objref_Out_T<
          Manager
        >
      Manager_out;

#endif /* end #if !defined */

    // TAO_IDL - Generated from
    // be/be_visitor_interface/interface_ch.cpp:43

    class OpenDDS_Federator_Export Manager
      : public virtual ::CORBA::Object
    {
    public:
      friend class TAO::Narrow_Utils<Manager>;

      // TAO_IDL - Generated from
      // be/be_type.cpp:307

      typedef Manager_ptr _ptr_type;
      typedef Manager_var _var_type;
      typedef Manager_out _out_type;

      // The static operations.
      static Manager_ptr _duplicate (Manager_ptr obj);

      static void _tao_release (Manager_ptr obj);

      static Manager_ptr _narrow (::CORBA::Object_ptr obj);
      static Manager_ptr _unchecked_narrow (::CORBA::Object_ptr obj);
      static Manager_ptr _nil (void);

      virtual ::CORBA::Boolean discover_federation (
        const char * ior);

      virtual ::OpenDDS::Federator::Manager_ptr join_federation (
        ::OpenDDS::Federator::Manager_ptr peer,
        ::OpenDDS::Federator::FederationDomain federation);

      virtual void leave_federation (
        ::OpenDDS::Federator::RepoKey id);

      virtual ::OpenDDS::Federator::RepoKey federation_id (
        void);

      virtual ::OpenDDS::DCPS::DCPSInfo_ptr repository (
        void);

      virtual void initializeOwner (
        const ::OpenDDS::Federator::OwnerUpdate & data);

      virtual void initializeTopic (
        const ::OpenDDS::Federator::TopicUpdate & data);

      virtual void initializeParticipant (
        const ::OpenDDS::Federator::ParticipantUpdate & data);

      virtual void initializePublication (
        const ::OpenDDS::Federator::PublicationUpdate & data);

      virtual void initializeSubscription (
        const ::OpenDDS::Federator::SubscriptionUpdate & data);

      virtual void leave_and_shutdown (
        void);

      virtual void shutdown (
        void);

      // TAO_IDL - Generated from
      // be/be_visitor_interface/interface_ch.cpp:140

      virtual ::CORBA::Boolean _is_a (const char *type_id);
      virtual const char* _interface_repository_id (void) const;
      virtual ::CORBA::Boolean marshal (TAO_OutputCDR &cdr);
    
    protected:
      // Concrete interface only.
      Manager (void);

      // Concrete non-local interface only.
      Manager (
          ::IOP::IOR *ior,
          TAO_ORB_Core *orb_core);
      
      // Non-local interface only.
      Manager (
          TAO_Stub *objref,
          ::CORBA::Boolean _tao_collocated = false,
          TAO_Abstract_ServantBase *servant = 0,
          TAO_ORB_Core *orb_core = 0);

      virtual ~Manager (void);
    
    private:
      // Private and unimplemented for concrete interfaces.
      Manager (const Manager &);

      void operator= (const Manager &);
    };

    // TAO_IDL - Generated from
    // be/be_visitor_constant/constant_ch.cpp:38

    const char *const REPOSITORY_IORTABLE_KEY = "DCPSInfoRepo";

    // TAO_IDL - Generated from
    // be/be_visitor_constant/constant_ch.cpp:38

    const char *const FEDERATOR_IORTABLE_KEY = "Federator";
  
  // TAO_IDL - Generated from
  // be/be_visitor_module/module_ch.cpp:67
  
  } // module OpenDDS::Federator

// TAO_IDL - Generated from
// be/be_visitor_module/module_ch.cpp:67

} // module OpenDDS

// TAO_IDL - Generated from
// be/be_visitor_arg_traits.cpp:68


OPENDDS_END_VERSIONED_NAMESPACE_DECL


TAO_BEGIN_VERSIONED_NAMESPACE_DECL


// Arg traits specializations.
namespace TAO
{

  // TAO_IDL - Generated from
  // be/be_visitor_arg_traits.cpp:904

  template<>
  class Arg_Traits< ::OpenDDS::Federator::UpdateType>
    : public
        Basic_Arg_Traits_T<
            ::OpenDDS::Federator::UpdateType,
            TAO::Any_Insert_Policy_Noop
          >
  {
  };

  // TAO_IDL - Generated from
  // be/be_visitor_arg_traits.cpp:947

  template<>
  class Arg_Traits< ::OpenDDS::Federator::OwnerUpdate>
    : public
        Fixed_Size_Arg_Traits_T<
            ::OpenDDS::Federator::OwnerUpdate,
            TAO::Any_Insert_Policy_Noop
          >
  {
  };

  // TAO_IDL - Generated from
  // be/be_visitor_arg_traits.cpp:947

  template<>
  class Arg_Traits< ::OpenDDS::Federator::TopicUpdate>
    : public
        Var_Size_Arg_Traits_T<
            ::OpenDDS::Federator::TopicUpdate,
            TAO::Any_Insert_Policy_Noop
          >
  {
  };

  // TAO_IDL - Generated from
  // be/be_visitor_arg_traits.cpp:947

  template<>
  class Arg_Traits< ::OpenDDS::Federator::ParticipantUpdate>
    : public
        Var_Size_Arg_Traits_T<
            ::OpenDDS::Federator::ParticipantUpdate,
            TAO::Any_Insert_Policy_Noop
          >
  {
  };

  // TAO_IDL - Generated from
  // be/be_visitor_arg_traits.cpp:947

  template<>
  class Arg_Traits< ::OpenDDS::Federator::PublicationUpdate>
    : public
        Var_Size_Arg_Traits_T<
            ::OpenDDS::Federator::PublicationUpdate,
            TAO::Any_Insert_Policy_Noop
          >
  {
  };

  // TAO_IDL - Generated from
  // be/be_visitor_arg_traits.cpp:947

  template<>
  class Arg_Traits< ::OpenDDS::Federator::SubscriptionUpdate>
    : public
        Var_Size_Arg_Traits_T<
            ::OpenDDS::Federator::SubscriptionUpdate,
            TAO::Any_Insert_Policy_Noop
          >
  {
  };

  // TAO_IDL - Generated from
  // be/be_visitor_arg_traits.cpp:147

#if !defined (_OPENDDS_FEDERATOR_MANAGER__ARG_TRAITS_)
#define _OPENDDS_FEDERATOR_MANAGER__ARG_TRAITS_

  template<>
  class  Arg_Traits< ::OpenDDS::Federator::Manager>
    : public
        Object_Arg_Traits_T<
            ::OpenDDS::Federator::Manager_ptr,
            ::OpenDDS::Federator::Manager_var,
            ::OpenDDS::Federator::Manager_out,
            TAO::Objref_Traits<OpenDDS::Federator::Manager>,
            TAO::Any_Insert_Policy_Noop
          >
  {
  };

#endif /* end #if !defined */
}

TAO_END_VERSIONED_NAMESPACE_DECL


OPENDDS_BEGIN_VERSIONED_NAMESPACE_DECL




// TAO_IDL - Generated from
// be/be_visitor_traits.cpp:62


OPENDDS_END_VERSIONED_NAMESPACE_DECL


TAO_BEGIN_VERSIONED_NAMESPACE_DECL

// Traits specializations.
namespace TAO
{

#if !defined (_OPENDDS_FEDERATOR_MANAGER__TRAITS_)
#define _OPENDDS_FEDERATOR_MANAGER__TRAITS_

  template<>
  struct OpenDDS_Federator_Export Objref_Traits< ::OpenDDS::Federator::Manager>
  {
    static ::OpenDDS::Federator::Manager_ptr duplicate (
        ::OpenDDS::Federator::Manager_ptr p);
    static void release (
        ::OpenDDS::Federator::Manager_ptr p);
    static ::OpenDDS::Federator::Manager_ptr nil (void);
    static ::CORBA::Boolean marshal (
        const ::OpenDDS::Federator::Manager_ptr p,
        TAO_OutputCDR & cdr);
  };

#endif /* end #if !defined */
}
TAO_END_VERSIONED_NAMESPACE_DECL


OPENDDS_BEGIN_VERSIONED_NAMESPACE_DECL




// TAO_IDL - Generated from
// be/be_visitor_enum/cdr_op_ch.cpp:37



OPENDDS_END_VERSIONED_NAMESPACE_DECL


TAO_BEGIN_VERSIONED_NAMESPACE_DECL

OpenDDS_Federator_Export ::CORBA::Boolean operator<< (TAO_OutputCDR &strm, OpenDDS::Federator::UpdateType _tao_enumerator);
OpenDDS_Federator_Export ::CORBA::Boolean operator>> (TAO_InputCDR &strm, OpenDDS::Federator::UpdateType &_tao_enumerator);

TAO_END_VERSIONED_NAMESPACE_DECL


OPENDDS_BEGIN_VERSIONED_NAMESPACE_DECL




// TAO_IDL - Generated from
// be/be_visitor_structure/cdr_op_ch.cpp:46



OPENDDS_END_VERSIONED_NAMESPACE_DECL


TAO_BEGIN_VERSIONED_NAMESPACE_DECL

OpenDDS_Federator_Export ::CORBA::Boolean operator<< (TAO_OutputCDR &, const OpenDDS::Federator::OwnerUpdate &);
OpenDDS_Federator_Export ::CORBA::Boolean operator>> (TAO_InputCDR &, OpenDDS::Federator::OwnerUpdate &);

TAO_END_VERSIONED_NAMESPACE_DECL


OPENDDS_BEGIN_VERSIONED_NAMESPACE_DECL




// TAO_IDL - Generated from
// be/be_visitor_structure/cdr_op_ch.cpp:46



OPENDDS_END_VERSIONED_NAMESPACE_DECL


TAO_BEGIN_VERSIONED_NAMESPACE_DECL

OpenDDS_Federator_Export ::CORBA::Boolean operator<< (TAO_OutputCDR &, const OpenDDS::Federator::TopicUpdate &);
OpenDDS_Federator_Export ::CORBA::Boolean operator>> (TAO_InputCDR &, OpenDDS::Federator::TopicUpdate &);

TAO_END_VERSIONED_NAMESPACE_DECL


OPENDDS_BEGIN_VERSIONED_NAMESPACE_DECL




// TAO_IDL - Generated from
// be/be_visitor_structure/cdr_op_ch.cpp:46



OPENDDS_END_VERSIONED_NAMESPACE_DECL


TAO_BEGIN_VERSIONED_NAMESPACE_DECL

OpenDDS_Federator_Export ::CORBA::Boolean operator<< (TAO_OutputCDR &, const OpenDDS::Federator::ParticipantUpdate &);
OpenDDS_Federator_Export ::CORBA::Boolean operator>> (TAO_InputCDR &, OpenDDS::Federator::ParticipantUpdate &);

TAO_END_VERSIONED_NAMESPACE_DECL


OPENDDS_BEGIN_VERSIONED_NAMESPACE_DECL




// TAO_IDL - Generated from
// be/be_visitor_structure/cdr_op_ch.cpp:46



OPENDDS_END_VERSIONED_NAMESPACE_DECL


TAO_BEGIN_VERSIONED_NAMESPACE_DECL

OpenDDS_Federator_Export ::CORBA::Boolean operator<< (TAO_OutputCDR &, const OpenDDS::Federator::PublicationUpdate &);
OpenDDS_Federator_Export ::CORBA::Boolean operator>> (TAO_InputCDR &, OpenDDS::Federator::PublicationUpdate &);

TAO_END_VERSIONED_NAMESPACE_DECL


OPENDDS_BEGIN_VERSIONED_NAMESPACE_DECL




// TAO_IDL - Generated from
// be/be_visitor_structure/cdr_op_ch.cpp:46



OPENDDS_END_VERSIONED_NAMESPACE_DECL


TAO_BEGIN_VERSIONED_NAMESPACE_DECL

OpenDDS_Federator_Export ::CORBA::Boolean operator<< (TAO_OutputCDR &, const OpenDDS::Federator::SubscriptionUpdate &);
OpenDDS_Federator_Export ::CORBA::Boolean operator>> (TAO_InputCDR &, OpenDDS::Federator::SubscriptionUpdate &);

TAO_END_VERSIONED_NAMESPACE_DECL


OPENDDS_BEGIN_VERSIONED_NAMESPACE_DECL




// TAO_IDL - Generated from
// be/be_visitor_exception/cdr_op_ch.cpp:40

OPENDDS_END_VERSIONED_NAMESPACE_DECL


TAO_BEGIN_VERSIONED_NAMESPACE_DECL



OpenDDS_Federator_Export ::CORBA::Boolean operator<< (TAO_OutputCDR &, const OpenDDS::Federator::Incomplete &);
OpenDDS_Federator_Export ::CORBA::Boolean operator>> (TAO_InputCDR &, OpenDDS::Federator::Incomplete &);

TAO_END_VERSIONED_NAMESPACE_DECL


OPENDDS_BEGIN_VERSIONED_NAMESPACE_DECL




// TAO_IDL - Generated from
// be/be_visitor_interface/cdr_op_ch.cpp:44


OPENDDS_END_VERSIONED_NAMESPACE_DECL


TAO_BEGIN_VERSIONED_NAMESPACE_DECL

OpenDDS_Federator_Export ::CORBA::Boolean operator<< (TAO_OutputCDR &, const OpenDDS::Federator::Manager_ptr );
OpenDDS_Federator_Export ::CORBA::Boolean operator>> (TAO_InputCDR &, OpenDDS::Federator::Manager_ptr &);

TAO_END_VERSIONED_NAMESPACE_DECL


OPENDDS_BEGIN_VERSIONED_NAMESPACE_DECL




// TAO_IDL - Generated from
// be/be_codegen.cpp:1703


OPENDDS_END_VERSIONED_NAMESPACE_DECL

#if defined (__ACE_INLINE__)
#include "FederatorC.inl"
#endif /* defined INLINE */

#include /**/ "ace/post.h"

#endif /* ifndef */

